Subject: RE: [Sipping] RE: Network Asserted Identity

From: "Mark Watson"<[email-masked]>
Date: Fri, 19 Apr 2002 10:45:46 +0100

If there is a network asserted identity, and there is no privacy
requirement, I don't understand the grounds for hiding this information from
the UA.

Many services based on the identity of the caller will operate much more
sucessfully based on the network asserted identity that just based on the
caller's claimed identity.

I thought Jon's identity draft explained very well why an identity signed by
a recognised 'authentication service' might be useful to the UA - this is
the general solution. In the short term, if your Service Provider has
obtained a trusted network asserted identity - by virtue of the trust
relationships with the other Service Providers - then all the same reasoning
applies.

...Mark 

> -----Original Message-----
> From: Rosen, Brian [mailto:[email-masked]]
> Sent: 18 April 2002 18:36
> To: Watson, Mark [MDN05:EP10:EXCH]; [email-masked]'
> Subject: RE: [Sipping] RE: Network Asserted Identity
> 
> 
> > NAI2) The ability for a network entity to pass a 
> > (non-private) network asserted identity directly to a UA  
> I'd like to explore this one.  In my zeal to cut down the 
> discussion to 
> manageable hunks, I don't get why we need this now.  I think NAI is 
> strictly for SP elements to assert an identity to one another, 
> and there is no requirement for any UA to see it.  If we can always 
> define NAI as inserted by the network, and stripped prior to 
> sending to 
> a UA, then I think many things may get simpler.
> 
> It may also make other people happier with this work - UAs send 
> things they want the other UA to see.  Proxy Servers send things 
> they want other Proxy Servers to see.  I'm still assuming a B2BUA 
> is needed for really anonymous calls, and to deal with Subscriber 
> vs User issues. 
> 
> Brian
>

---

From: Juha Heinanen <[email-masked]>
Date: Fri, 19 Apr 2002 15:49:14 +0300

> caller's claimed identity.

i'm a bit confused by what "identity" means here: the identify of the
user, e.g., [email-masked], or the from uri, e.g., tel:+35844123456, the
user wants to use in the call.

-- juha

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP